---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.13.0
  name: gitlabobservabilitytenants.opstrace.com
spec:
  group: opstrace.com
  names:
    kind: GitLabObservabilityTenant
    listKind: GitLabObservabilityTenantList
    plural: gitlabobservabilitytenants
    singular: gitlabobservabilitytenant
  scope: Cluster
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        properties:
          apiVersion:
            type: string
          kind:
            type: string
          metadata:
            type: object
          spec:
            properties:
              cluster:
                type: string
              overrides:
                properties:
                  otelcollector:
                    properties:
                      commonAnnotations:
                        additionalProperties:
                          type: string
                        type: object
                      commonLabels:
                        additionalProperties:
                          type: string
                        type: object
                      images:
                        items:
                          properties:
                            digest:
                              type: string
                            name:
                              type: string
                            newName:
                              type: string
                            newTag:
                              type: string
                            tagSuffix:
                              type: string
                          type: object
                        type: array
                      labels:
                        items:
                          properties:
                            fields:
                              items:
                                properties:
                                  create:
                                    type: boolean
                                  group:
                                    type: string
                                  kind:
                                    type: string
                                  path:
                                    type: string
                                  version:
                                    type: string
                                type: object
                              type: array
                            includeSelectors:
                              type: boolean
                            includeTemplates:
                              type: boolean
                            pairs:
                              additionalProperties:
                                type: string
                              type: object
                          type: object
                        type: array
                      patches:
                        items:
                          properties:
                            options:
                              additionalProperties:
                                type: boolean
                              type: object
                            patch:
                              type: string
                            path:
                              type: string
                            target:
                              properties:
                                annotationSelector:
                                  type: string
                                group:
                                  type: string
                                kind:
                                  type: string
                                labelSelector:
                                  type: string
                                name:
                                  type: string
                                namespace:
                                  type: string
                                version:
                                  type: string
                              type: object
                          type: object
                        type: array
                      replicas:
                        items:
                          properties:
                            count:
                              format: int64
                              type: integer
                            name:
                              type: string
                          required:
                          - count
                          type: object
                        type: array
                    type: object
                type: object
              topLevelNamespaceID:
                format: int64
                type: integer
            required:
            - topLevelNamespaceID
            type: object
          status:
            properties:
              conditions:
                items:
                  properties:
                    lastTransitionTime:
                      format: date-time
                      type: string
                    message:
                      maxLength: 32768
                      type: string
                    observedGeneration:
                      format: int64
                      minimum: 0
                      type: integer
                    reason:
                      maxLength: 1024
                      minLength: 1
                      pattern: ^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$
                      type: string
                    status:
                      enum:
                      - "True"
                      - "False"
                      - Unknown
                      type: string
                    type:
                      maxLength: 316
                      pattern: ^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$
                      type: string
                  required:
                  - lastTransitionTime
                  - message
                  - reason
                  - status
                  - type
                  type: object
                type: array
              inventory:
                additionalProperties:
                  properties:
                    entries:
                      items:
                        properties:
                          id:
                            type: string
                          v:
                            type: string
                        required:
                        - id
                        - v
                        type: object
                      type: array
                  required:
                  - entries
                  type: object
                type: object
            type: object
        type: object
    served: true
    storage: true
    subresources:
      status: {}
